## org.eclipse.emf.mapping.domain
Class AdapterFactoryMappingDomain.LabelUpdatePropagatingComposedAdapterFactory

    java.lang.Object
      org.eclipse.emf.edit.provider.ComposedAdapterFactory
          org.eclipse.emf.mapping.domain.AdapterFactoryMappingDomain.LabelUpdatePropagatingComposedAdapterFactory

All Implemented Interfaces:
  AdapterFactory, ComposeableAdapterFactory, IChangeNotifier, IDisposable

Enclosing class:
  AdapterFactoryMappingDomain

    protected class AdapterFactoryMappingDomain.LabelUpdatePropagatingComposedAdapterFactory

extends ComposedAdapterFactory

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ComposedAdapterFactory
`ComposedAdapterFactory.Descriptor`

Field Summary

Fields inherited from class org.eclipse.emf.edit.provider.ComposedAdapterFactory
`adapterFactories, adapterFactoryDescriptorRegistry, changeNotifier, parentAdapterFactory`

Constructor Summary
`AdapterFactoryMappingDomain.LabelUpdatePropagatingComposedAdapterFactory(AdapterFactory adapterFactory)`

Method Summary
`void` `fireNotifyChanged(Notification note)` This calls `notifyChanged` for each listener.

Methods inherited from class org.eclipse.emf.edit.provider.ComposedAdapterFactory
`adapt, adapt, adapt, adapt, adapt, adaptAllNew, adaptNew, addAdapterFactory, addListener, delegatedGetFactoryForTypes, dispose, getFactoryForType, getFactoryForTypes, getRootAdapterFactory, insertAdapterFactory, isFactoryForType, removeAdapterFactory, removeListener, setParentAdapterFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdapterFactoryMappingDomain.LabelUpdatePropagatingComposedAdapterFactory

    public AdapterFactoryMappingDomain.LabelUpdatePropagatingComposedAdapterFactory(AdapterFactory adapterFactory)

Method Detail

### fireNotifyChanged

    public void fireNotifyChanged(Notification note)

  Description copied from interface: `IChangeNotifier`
  This calls `notifyChanged` for each listener.

  Specified by:
    `fireNotifyChanged` in interface `IChangeNotifier`
  Overrides:
    `fireNotifyChanged` in class `ComposedAdapterFactory`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.